body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}

.w-30vw {
  width: 30vw;
}

.h-300px {
  height: 300px;
}

.h-100px {
  height: 100px;
}

.text-overflow-ellipsis {
  text-overflow: ellipsis;
  overflow: hidden;
}

.h-auto {
  height: min-content;
}

.expand {
  animation-name: expand;
  animation-duration: 1s;
}

.collapse {
  animation-name: collapse;
  animation-duration: 1s;
}

@keyframes expand {
  from {
    height: 100px;
  }
  to {
    height: auto;
  }
}

@keyframes collapse {
  from {
    height: auto;
  }
  to {
    height: 100px;
  }
}
